#ifndef CP_HPP
#define CP_HPP

#include <string>

// Copies a file from source to destination.
// The flags control interactive mode, verbose output, preservation of file attributes,
// update-only copying, and a dry-run mode.
bool copyFile(const std::string &source, const std::string &destination,
              bool interactive, bool verbose, bool preserve, bool update, bool dryRun);

// Recursively copies a directory from sourceDir to destinationDir.
// The flags have the same meaning as in copyFile.
bool copyDirectory(const std::string &sourceDir, const std::string &destinationDir,
                   bool interactive, bool verbose, bool preserve, bool update, bool dryRun);

#endif // CP_HPP
